ru.bitel.bgbilling.modules.inet.api.common.bean

## Class InetAuthError

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.inet.api.common.bean.InetAuthError

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class InetAuthError
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetAuthError()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractId()`
    `java.lang.String` | `getContractTitle()`
    `int` | `getDeviceId()`
    `java.lang.String` | `getDeviceTitle()`
    `int` | `getErrorCode()`
    `int` | `getErrorCount()`
    `java.lang.String` | `getErrorText()`
    `java.util.Date` | `getLastErrorTime()`
    `int` | `getLogCoordinateRecordId()`
    `int` | `getServId()`
    `java.lang.String` | `getServTitle()`
    `void` | `setContractId(int contractId)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setDeviceId(int deviceId)`
    `void` | `setDeviceTitle(java.lang.String deviceTitle)`
    `void` | `setErrorCode(int errorCode)`
    `void` | `setErrorCount(int errorCount)`
    `void` | `setErrorText(java.lang.String errorText)`
    `void` | `setLastErrorTime(java.util.Date lastErrorTime)`
    `void` | `setLogCoordinateRecordId(int logRecordId)`
    `void` | `setServId(int servId)`
    `void` | `setServTitle(java.lang.String servTitle)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetAuthError

          public InetAuthError()

  - ### Method Detail

    - #### getErrorCode

          public int getErrorCode()

    - #### setErrorCode

          public void setErrorCode(int errorCode)

    - #### getErrorText

          public java.lang.String getErrorText()

    - #### setErrorText

          public void setErrorText(java.lang.String errorText)

    - #### getDeviceId

          public int getDeviceId()

    - #### setDeviceId

          public void setDeviceId(int deviceId)

    - #### getDeviceTitle

          public java.lang.String getDeviceTitle()

    - #### setDeviceTitle

          public void setDeviceTitle(java.lang.String deviceTitle)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getServId

          public int getServId()

    - #### setServId

          public void setServId(int servId)

    - #### getServTitle

          public java.lang.String getServTitle()

    - #### setServTitle

          public void setServTitle(java.lang.String servTitle)

    - #### getLastErrorTime

          public java.util.Date getLastErrorTime()

    - #### setLastErrorTime

          public void setLastErrorTime(java.util.Date lastErrorTime)

    - #### getErrorCount

          public int getErrorCount()

    - #### setErrorCount

          public void setErrorCount(int errorCount)

    - #### getLogCoordinateRecordId

          public int getLogCoordinateRecordId()

    - #### setLogCoordinateRecordId

          public void setLogCoordinateRecordId(int logRecordId)